from django.conf.urls import url

from .views import (
    ModulesView,
    ProjectDetailView,
    ProjectSummaryHistoryView,
    ProjectHistoryView,
    ModuleDiffView,
    IssuesSnippet,
    ModuleIssuesView,
    ModuleDeploymentsView,
    module_deployments_json,
    api_issues_json,
)


urlpatterns = [
    url(r'^modules/$', ModulesView.as_view(), name='modules-list'),
    url(r'^(?P<slug>[\w,-]+)/$', ProjectDetailView.as_view(), name='project-view'),
    url(r'^(?P<slug>[\w,-]+)/history$', ProjectSummaryHistoryView.as_view(), name='project-summary-history'),
    url(r'^(?P<slug>[\w,-]+)/detailed-history$', ProjectHistoryView.as_view(), name='project-history'),
    url(
        r'^modules/(?P<name>[\w,-]+)/diff/(?P<commit1>[\w,\.-]+)/(?P<commit2>[\w,\.-]+)$',
        ModuleDiffView.as_view(),
        name='module-diff',
    ),
    url(r'^issues/snippet/$', IssuesSnippet.as_view(), name='issues-snippet'),
    url(
        r'^modules/(?P<name>[\w,-]+)/issues/(?P<commit1>[\w,\.-]+)/(?P<commit2>[\w,\.-]+)$',
        ModuleIssuesView.as_view(),
        name='module-issues',
    ),
    url(r'^modules/(?P<name>[\w,-]+)/$', ModuleDeploymentsView.as_view(), name='module-deployments'),
    url(r'^modules/(?P<name>[\w,-]+)/json$', module_deployments_json, name='module-deployments-json'),
    url(r'^api/issues/(?P<issue>\d+)/$', api_issues_json),
]
