from django.conf import settings
from django.conf.urls import include, url
from django.conf.urls.static import static
from django.contrib import admin
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

import scrutiny.views
from scrutiny.projects.urls import urlpatterns as projects_urls

admin.autodiscover()

urlpatterns = [
    url(r'^$', scrutiny.views.home, name='home'),
    url(r'^projects/', include(projects_urls)),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^logout/$', scrutiny.views.logout, name='auth_logout'),
    url(r'^login/$', scrutiny.views.login, name='auth_login'),
]

urlpatterns += staticfiles_urlpatterns()
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if 'mellon' in settings.INSTALLED_APPS:
    urlpatterns.append(url(r'^accounts/mellon/', include('mellon.urls')))
